/*
 * spi.h
 *
 * Created: 5/22/2018 5:01:56 PM
 *  Author: alex
 */ 


#ifndef SPI_H_
#define SPI_H_

#include <stdint.h>

/* SPI config */
#define SPI_PORT	PORTB
#define SPI_DDR 	DDRB
#define SPI_MISO	PB6
#define SPI_MOSI	PB5
#define SPI_SCK 	PB7

void SPI_init(void);
uint8_t SPI_exchange(uint8_t data);

#endif /* SPI_H_ */